Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCollectionElement Class Reference

`#include <vtkCollection.h>`

Collaboration diagram for vtkCollectionElement:

[legend]
List of all members.

## Public Methods

| vtkCollectionElement ()

## Public Attributes

vtkObject * | Item
vtkCollectionElement * | Next

## Constructor & Destructor Documentation

vtkCollectionElement::vtkCollectionElement | ( |  | ) | `[inline]`

| Definition at line 56 of file vtkCollection.h. References Item, and Next.

## Member Data Documentation

vtkObject* vtkCollectionElement::Item

| Definition at line 57 of file vtkCollection.h. Referenced by vtkActorCollection::GetLastActor(), vtkActor2DCollection::GetLastActor2D(), vtkMapperCollection::GetLastItem(), vtkCullerCollection::GetLastItem(), vtkPropCollection::GetLastProp(), vtkProp3DCollection::GetLastProp3D(), vtkCollection::GetNextItemAsObject(), and vtkCollectionElement().

vtkCollectionElement* vtkCollectionElement::Next

| Definition at line 58 of file vtkCollection.h. Referenced by vtkCollection::GetNextItemAsObject(), and vtkCollectionElement().

The documentation for this class was generated from the following file:

- Common/vtkCollection.h